# Uses of Class
java.lang.module.ModuleDescriptor.Opens

Packages that use ModuleDescriptor.Opens
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleDescriptor.Opens in java.lang.module

Methods in java.lang.module that return types with arguments of type ModuleDescriptor.Opens
Modifier and Type
Method
Description
`Set<ModuleDescriptor.Opens>`
ModuleDescriptor.`opens()`
Returns the set of `Opens` objects representing the open packages.
Methods in java.lang.module with parameters of type ModuleDescriptor.Opens
Modifier and Type
Method
Description
`int`
ModuleDescriptor.Opens.`compareTo(ModuleDescriptor.Opens that)`
Compares this module `Opens` to another.
`ModuleDescriptor.Builder`
ModuleDescriptor.Builder.`opens(ModuleDescriptor.Opens obj)`
Adds an open package.